Loading...
Searching...
No Matches
Opm::RichardsLocalResidual< TypeTag > Class Template Reference

Element-wise calculation of the residual for the Richards model. More...

`#include <richardslocalresidual.hh>`

Inheritance diagram for Opm::RichardsLocalResidual< TypeTag >:

## Public Member Functions

template<class LhsEval>
void | computeStorage (Dune::FieldVector< LhsEval, numEq > &storage, const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx) const
| Evaluate the amount all conservation quantities (e.g.
void | computeFlux (RateVector &flux, const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx) const
| Evaluates the total mass flux of all conservation quantities over a face of a sub-control volume.
void | computeSource (RateVector &source, const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx) const
| Calculate the source term of the equation.

## Detailed Description

template<class TypeTag>
class Opm::RichardsLocalResidual< TypeTag >

Element-wise calculation of the residual for the Richards model.

## Member Function Documentation

## computeFlux()

template<class TypeTag>

void Opm::RichardsLocalResidual< TypeTag >::computeFlux | ( | RateVector & | flux,
|  | const ElementContext & | elemCtx,
|  | unsigned | scvfIdx,
|  | unsigned | timeIdx ) const

inline

Evaluates the total mass flux of all conservation quantities over a face of a sub-control volume.

## computeSource()

template<class TypeTag>

void Opm::RichardsLocalResidual< TypeTag >::computeSource | ( | RateVector & | source,
|  | const ElementContext & | elemCtx,
|  | unsigned | dofIdx,
|  | unsigned | timeIdx ) const

inline

Calculate the source term of the equation.

By default, this method only asks the problem to specify a source term.

## computeStorage()

template<class TypeTag>
template<class LhsEval>

void Opm::RichardsLocalResidual< TypeTag >::computeStorage | ( | Dune::FieldVector< LhsEval, numEq > & | storage,
|  | const ElementContext & | elemCtx,
|  | unsigned | dofIdx,
|  | unsigned | timeIdx ) const

inline

Evaluate the amount all conservation quantities (e.g.

phase mass) within a finite sub-control volume.

The documentation for this class was generated from the following file:

- opm/models/richards/richardslocalresidual.hh